-- Version: 10.0 10.0.9.37

library ieee;
use ieee.std_logic_1164.all;
library smartfusion;
use smartfusion.all;
library COREAPB3_LIB;
use COREAPB3_LIB.all;
library COREABC_LIB;
use COREABC_LIB.all;

entity Top_Waveform is

    port( MSS_RESET_N : in    std_logic;
          MAINXIN     : in    std_logic;
          SDD_0       : out   std_logic;
          VAREF0      : in    std_logic
        );

end Top_Waveform;

architecture DEF_ARCH of Top_Waveform is 

  component CoreAPB3
    generic (APB_DWIDTH:integer := 0; APBSLOT0ENABLE:integer := 0; 
        APBSLOT1ENABLE:integer := 0; APBSLOT2ENABLE:integer := 0; 
        APBSLOT3ENABLE:integer := 0; APBSLOT4ENABLE:integer := 0; 
        APBSLOT5ENABLE:integer := 0; APBSLOT6ENABLE:integer := 0; 
        APBSLOT7ENABLE:integer := 0; APBSLOT8ENABLE:integer := 0; 
        APBSLOT9ENABLE:integer := 0; APBSLOT10ENABLE:integer := 0; 
        APBSLOT11ENABLE:integer := 0; 
        APBSLOT12ENABLE:integer := 0; 
        APBSLOT13ENABLE:integer := 0; 
        APBSLOT14ENABLE:integer := 0; 
        APBSLOT15ENABLE:integer := 0; IADDR_ENABLE:integer := 0; 
        RANGESIZE:integer := 0);

    port( PRESETN    : in    std_logic := 'U';
          PCLK       : in    std_logic := 'U';
          PWRITE     : in    std_logic := 'U';
          PENABLE    : in    std_logic := 'U';
          PSEL       : in    std_logic := 'U';
          PREADY     : out   std_logic;
          PSLVERR    : out   std_logic;
          PWRITES    : out   std_logic;
          PENABLES   : out   std_logic;
          PSELS0     : out   std_logic;
          PREADYS0   : in    std_logic := 'U';
          PSLVERRS0  : in    std_logic := 'U';
          PSELS1     : out   std_logic;
          PREADYS1   : in    std_logic := 'U';
          PSLVERRS1  : in    std_logic := 'U';
          PSELS2     : out   std_logic;
          PREADYS2   : in    std_logic := 'U';
          PSLVERRS2  : in    std_logic := 'U';
          PSELS3     : out   std_logic;
          PREADYS3   : in    std_logic := 'U';
          PSLVERRS3  : in    std_logic := 'U';
          PSELS4     : out   std_logic;
          PREADYS4   : in    std_logic := 'U';
          PSLVERRS4  : in    std_logic := 'U';
          PSELS5     : out   std_logic;
          PREADYS5   : in    std_logic := 'U';
          PSLVERRS5  : in    std_logic := 'U';
          PSELS6     : out   std_logic;
          PREADYS6   : in    std_logic := 'U';
          PSLVERRS6  : in    std_logic := 'U';
          PSELS7     : out   std_logic;
          PREADYS7   : in    std_logic := 'U';
          PSLVERRS7  : in    std_logic := 'U';
          PSELS8     : out   std_logic;
          PREADYS8   : in    std_logic := 'U';
          PSLVERRS8  : in    std_logic := 'U';
          PSELS9     : out   std_logic;
          PREADYS9   : in    std_logic := 'U';
          PSLVERRS9  : in    std_logic := 'U';
          PSELS10    : out   std_logic;
          PREADYS10  : in    std_logic := 'U';
          PSLVERRS10 : in    std_logic := 'U';
          PSELS11    : out   std_logic;
          PREADYS11  : in    std_logic := 'U';
          PSLVERRS11 : in    std_logic := 'U';
          PSELS12    : out   std_logic;
          PREADYS12  : in    std_logic := 'U';
          PSLVERRS12 : in    std_logic := 'U';
          PSELS13    : out   std_logic;
          PREADYS13  : in    std_logic := 'U';
          PSLVERRS13 : in    std_logic := 'U';
          PSELS14    : out   std_logic;
          PREADYS14  : in    std_logic := 'U';
          PSLVERRS14 : in    std_logic := 'U';
          PSELS15    : out   std_logic;
          PREADYS15  : in    std_logic := 'U';
          PSLVERRS15 : in    std_logic := 'U';
          PADDR      : in    std_logic_vector(23 downto 0) := (others => 'U');
          PWDATA     : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATA     : out   std_logic_vector(31 downto 0);
          PADDRS     : out   std_logic_vector(23 downto 0);
          PADDRS0    : out   std_logic_vector(31 downto 0);
          PWDATAS    : out   std_logic_vector(31 downto 0);
          PRDATAS0   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS1   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS2   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS3   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS4   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS5   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS6   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS7   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS8   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS9   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS10  : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS11  : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS12  : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS13  : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS14  : in    std_logic_vector(31 downto 0) := (others => 'U');
          PRDATAS15  : in    std_logic_vector(31 downto 0) := (others => 'U')
        );
  end component;

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component MSS_Waveform
    port( MSS_RESET_N : in    std_logic := 'U';
          FAB_CLK     : out   std_logic;
          MAINXIN     : in    std_logic := 'U';
          FABPSEL     : in    std_logic := 'U';
          FABPENABLE  : in    std_logic := 'U';
          FABPWRITE   : in    std_logic := 'U';
          FABPREADY   : out   std_logic;
          FABPSLVERR  : out   std_logic;
          M2F_RESET_N : out   std_logic;
          SDD_0       : out   std_logic;
          VAREF0      : in    std_logic := 'U';
          FABPADDR    : in    std_logic_vector(31 downto 0) := (others => 'U');
          FABPRDATA   : out   std_logic_vector(31 downto 0);
          FABPWDATA   : in    std_logic_vector(31 downto 0) := (others => 'U')
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

  component Top_Waveform_COREABC_0_COREABC
    generic (ACT_CALIBRATIONDATA:integer := 0; 
        APB_AWIDTH:integer := 0; APB_DWIDTH:integer := 0; 
        APB_SDEPTH:integer := 0; DEBUG:integer := 0; 
        EN_ACM:integer := 0; EN_ADD:integer := 0; 
        EN_ALURAM:integer := 0; EN_AND:integer := 0; 
        EN_CALL:integer := 0; EN_DATAM:integer := 0; 
        EN_INC:integer := 0; EN_INDIRECT:integer := 0; 
        EN_INT:integer := 0; EN_IOREAD:integer := 0; 
        EN_IOWRT:integer := 0; EN_MULT:integer := 0; 
        EN_OR:integer := 0; EN_PUSH:integer := 0; 
        EN_RAM:integer := 0; EN_SHL:integer := 0; 
        EN_SHR:integer := 0; EN_XOR:integer := 0; 
        FAMILY:integer := 0; ICWIDTH:integer := 0; 
        IFWIDTH:integer := 0; IIWIDTH:integer := 0; 
        IMEM_APB_ACCESS:integer := 0; INITWIDTH:integer := 0; 
        INSMODE:integer := 0; IOWIDTH:integer := 0; 
        ISRADDR:integer := 0; MAX_NVMDWIDTH:integer := 0; 
        STWIDTH:integer := 0; TESTMODE:integer := 0; 
        UNIQ_STRING_LENGTH:integer := 0; ZRWIDTH:integer := 0);

    port( INITDATVAL : in    std_logic := 'U';
          INITDONE   : in    std_logic := 'U';
          INTACT     : out   std_logic;
          INTREQ     : in    std_logic := 'U';
          NSYSRESET  : in    std_logic := 'U';
          PCLK       : in    std_logic := 'U';
          PRESETN    : out   std_logic;
          PENABLE_M  : out   std_logic;
          PSEL_M     : out   std_logic;
          PWRITE_M   : out   std_logic;
          PREADY_M   : in    std_logic := 'U';
          PSLVERR_M  : in    std_logic := 'U';
          PSEL_S     : in    std_logic := 'U';
          PENABLE_S  : in    std_logic := 'U';
          PWRITE_S   : in    std_logic := 'U';
          PREADY_S   : out   std_logic;
          PSLVERR_S  : out   std_logic;
          INITADDR   : in    std_logic_vector(10 downto 0) := (others => 'U');
          INITDATA   : in    std_logic_vector(8 downto 0) := (others => 'U');
          IO_IN      : in    std_logic_vector(0 to 0) := (others => 'U');
          IO_OUT     : out   std_logic_vector(0 to 0);
          PADDR_M    : out   std_logic_vector(19 downto 0);
          PRDATA_M   : in    std_logic_vector(31 downto 0) := (others => 'U');
          PWDATA_M   : out   std_logic_vector(31 downto 0);
          PADDR_S    : in    std_logic_vector(15 downto 0) := (others => 'U');
          PRDATA_S   : out   std_logic_vector(31 downto 0);
          PWDATA_S   : in    std_logic_vector(31 downto 0) := (others => 'U')
        );
  end component;

    signal \COREABC_0_APB3master_PADDR_[0]\, 
        \COREABC_0_APB3master_PADDR_[1]\, 
        \COREABC_0_APB3master_PADDR_[2]\, 
        \COREABC_0_APB3master_PADDR_[3]\, 
        \COREABC_0_APB3master_PADDR_[4]\, 
        \COREABC_0_APB3master_PADDR_[5]\, 
        \COREABC_0_APB3master_PADDR_[6]\, 
        \COREABC_0_APB3master_PADDR_[7]\, 
        \COREABC_0_APB3master_PADDR_[8]\, 
        \COREABC_0_APB3master_PADDR_[9]\, 
        \COREABC_0_APB3master_PADDR_[10]\, 
        \COREABC_0_APB3master_PADDR_[11]\, 
        \COREABC_0_APB3master_PADDR_[12]\, 
        \COREABC_0_APB3master_PADDR_[13]\, 
        \COREABC_0_APB3master_PADDR_[14]\, 
        \COREABC_0_APB3master_PADDR_[15]\, 
        \COREABC_0_APB3master_PADDR_[16]\, 
        \COREABC_0_APB3master_PADDR_[17]\, 
        \COREABC_0_APB3master_PADDR_[18]\, 
        \COREABC_0_APB3master_PADDR_[19]\, 
        COREABC_0_APB3master_PENABLE, 
        \COREABC_0_APB3master_PRDATA_[0]\, 
        \COREABC_0_APB3master_PRDATA_[1]\, 
        \COREABC_0_APB3master_PRDATA_[2]\, 
        \COREABC_0_APB3master_PRDATA_[3]\, 
        \COREABC_0_APB3master_PRDATA_[4]\, 
        \COREABC_0_APB3master_PRDATA_[5]\, 
        \COREABC_0_APB3master_PRDATA_[6]\, 
        \COREABC_0_APB3master_PRDATA_[7]\, 
        \COREABC_0_APB3master_PRDATA_[8]\, 
        \COREABC_0_APB3master_PRDATA_[9]\, 
        \COREABC_0_APB3master_PRDATA_[10]\, 
        \COREABC_0_APB3master_PRDATA_[11]\, 
        \COREABC_0_APB3master_PRDATA_[12]\, 
        \COREABC_0_APB3master_PRDATA_[13]\, 
        \COREABC_0_APB3master_PRDATA_[14]\, 
        \COREABC_0_APB3master_PRDATA_[15]\, 
        \COREABC_0_APB3master_PRDATA_[16]\, 
        \COREABC_0_APB3master_PRDATA_[17]\, 
        \COREABC_0_APB3master_PRDATA_[18]\, 
        \COREABC_0_APB3master_PRDATA_[19]\, 
        \COREABC_0_APB3master_PRDATA_[20]\, 
        \COREABC_0_APB3master_PRDATA_[21]\, 
        \COREABC_0_APB3master_PRDATA_[22]\, 
        \COREABC_0_APB3master_PRDATA_[23]\, 
        \COREABC_0_APB3master_PRDATA_[24]\, 
        \COREABC_0_APB3master_PRDATA_[25]\, 
        \COREABC_0_APB3master_PRDATA_[26]\, 
        \COREABC_0_APB3master_PRDATA_[27]\, 
        \COREABC_0_APB3master_PRDATA_[28]\, 
        \COREABC_0_APB3master_PRDATA_[29]\, 
        \COREABC_0_APB3master_PRDATA_[30]\, 
        \COREABC_0_APB3master_PRDATA_[31]\, 
        COREABC_0_APB3master_PREADY, COREABC_0_APB3master_PSELx, 
        COREABC_0_APB3master_PSLVERR, 
        \COREABC_0_APB3master_PWDATA_[0]\, 
        \COREABC_0_APB3master_PWDATA_[1]\, 
        \COREABC_0_APB3master_PWDATA_[2]\, 
        \COREABC_0_APB3master_PWDATA_[3]\, 
        \COREABC_0_APB3master_PWDATA_[4]\, 
        \COREABC_0_APB3master_PWDATA_[5]\, 
        \COREABC_0_APB3master_PWDATA_[6]\, 
        \COREABC_0_APB3master_PWDATA_[7]\, 
        \COREABC_0_APB3master_PWDATA_[8]\, 
        \COREABC_0_APB3master_PWDATA_[9]\, 
        \COREABC_0_APB3master_PWDATA_[10]\, 
        \COREABC_0_APB3master_PWDATA_[11]\, 
        \COREABC_0_APB3master_PWDATA_[12]\, 
        \COREABC_0_APB3master_PWDATA_[13]\, 
        \COREABC_0_APB3master_PWDATA_[14]\, 
        \COREABC_0_APB3master_PWDATA_[15]\, 
        \COREABC_0_APB3master_PWDATA_[16]\, 
        \COREABC_0_APB3master_PWDATA_[17]\, 
        \COREABC_0_APB3master_PWDATA_[18]\, 
        \COREABC_0_APB3master_PWDATA_[19]\, 
        \COREABC_0_APB3master_PWDATA_[20]\, 
        \COREABC_0_APB3master_PWDATA_[21]\, 
        \COREABC_0_APB3master_PWDATA_[22]\, 
        \COREABC_0_APB3master_PWDATA_[23]\, 
        \COREABC_0_APB3master_PWDATA_[24]\, 
        \COREABC_0_APB3master_PWDATA_[25]\, 
        \COREABC_0_APB3master_PWDATA_[26]\, 
        \COREABC_0_APB3master_PWDATA_[27]\, 
        \COREABC_0_APB3master_PWDATA_[28]\, 
        \COREABC_0_APB3master_PWDATA_[29]\, 
        \COREABC_0_APB3master_PWDATA_[30]\, 
        \COREABC_0_APB3master_PWDATA_[31]\, 
        COREABC_0_APB3master_PWRITE, COREABC_0_PRESETN, 
        \CoreAPB3_0_APBmslave0_PADDR_[0]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[1]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[2]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[3]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[4]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[5]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[6]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[7]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[8]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[9]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[10]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[11]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[12]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[13]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[14]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[15]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[16]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[17]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[18]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[19]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[20]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[21]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[22]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[23]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[24]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[25]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[26]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[27]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[28]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[29]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[30]\, 
        \CoreAPB3_0_APBmslave0_PADDR_[31]\, 
        CoreAPB3_0_APBmslave0_PENABLE, 
        \CoreAPB3_0_APBmslave0_PRDATA_[0]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[1]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[2]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[3]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[4]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[5]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[6]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[7]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[8]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[9]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[10]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[11]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[12]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[13]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[14]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[15]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[16]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[17]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[18]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[19]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[20]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[21]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[22]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[23]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[24]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[25]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[26]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[27]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[28]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[29]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[30]\, 
        \CoreAPB3_0_APBmslave0_PRDATA_[31]\, 
        CoreAPB3_0_APBmslave0_PREADY, CoreAPB3_0_APBmslave0_PSELx, 
        CoreAPB3_0_APBmslave0_PSLVERR, 
        \CoreAPB3_0_APBmslave0_PWDATA_[0]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[1]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[2]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[3]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[4]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[5]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[6]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[7]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[8]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[9]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[10]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[11]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[12]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[13]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[14]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[15]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[16]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[17]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[18]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[19]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[20]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[21]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[22]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[23]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[24]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[25]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[26]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[27]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[28]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[29]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[30]\, 
        \CoreAPB3_0_APBmslave0_PWDATA_[31]\, 
        CoreAPB3_0_APBmslave0_PWRITE, 
        \CoreAPB3_0_APBmslave2_PADDR_[0]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[1]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[2]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[3]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[4]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[5]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[6]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[7]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[8]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[9]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[10]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[11]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[12]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[13]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[14]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[15]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[16]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[17]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[18]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[19]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[20]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[21]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[22]\, 
        \CoreAPB3_0_APBmslave2_PADDR_[23]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[0]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[1]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[2]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[3]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[4]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[5]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[6]\, 
        \CoreAPB3_0_APBmslave2_PRDATA_[7]\, 
        CoreAPB3_0_APBmslave2_PREADY, CoreAPB3_0_APBmslave2_PSELx, 
        CoreAPB3_0_APBmslave2_PSLVERR, MSS_Waveform_0_FAB_CLK, 
        MSS_Waveform_0_M2F_RESET_N, GND_net, VCC_net : std_logic;
    signal nc9, nc13, nc23, nc33, nc16, nc26, nc27, nc17, nc5, 
        nc4, nc25, nc15, nc28, nc18, nc1, nc2, nc22, nc12, nc21, 
        nc11, nc3, nc32, nc31, nc7, nc6, nc19, nc29, nc8, nc20, 
        nc10, nc24, nc14, nc30 : std_logic;

begin 


    CoreAPB3_0 : CoreAPB3
      generic map(APB_DWIDTH => 32, APBSLOT0ENABLE => 1,
         APBSLOT1ENABLE => 1, APBSLOT2ENABLE => 1,
         APBSLOT3ENABLE => 0, APBSLOT4ENABLE => 0,
         APBSLOT5ENABLE => 0, APBSLOT6ENABLE => 0,
         APBSLOT7ENABLE => 0, APBSLOT8ENABLE => 0,
         APBSLOT9ENABLE => 0, APBSLOT10ENABLE => 0,
         APBSLOT11ENABLE => 0, APBSLOT12ENABLE => 0,
         APBSLOT13ENABLE => 0, APBSLOT14ENABLE => 0,
         APBSLOT15ENABLE => 0, IADDR_ENABLE => 1,
         RANGESIZE => 65536)

      port map(PRESETN => COREABC_0_PRESETN, PCLK => 
        MSS_Waveform_0_FAB_CLK, PWRITE => 
        COREABC_0_APB3master_PWRITE, PENABLE => 
        COREABC_0_APB3master_PENABLE, PSEL => 
        COREABC_0_APB3master_PSELx, PREADY => 
        COREABC_0_APB3master_PREADY, PSLVERR => 
        COREABC_0_APB3master_PSLVERR, PWRITES => 
        CoreAPB3_0_APBmslave0_PWRITE, PENABLES => 
        CoreAPB3_0_APBmslave0_PENABLE, PSELS0 => 
        CoreAPB3_0_APBmslave0_PSELx, PREADYS0 => 
        CoreAPB3_0_APBmslave0_PREADY, PSLVERRS0 => 
        CoreAPB3_0_APBmslave0_PSLVERR, PSELS1 => OPEN, PREADYS1
         => VCC_net, PSLVERRS1 => GND_net, PSELS2 => 
        CoreAPB3_0_APBmslave2_PSELx, PREADYS2 => 
        CoreAPB3_0_APBmslave2_PREADY, PSLVERRS2 => 
        CoreAPB3_0_APBmslave2_PSLVERR, PSELS3 => OPEN, PREADYS3
         => VCC_net, PSLVERRS3 => GND_net, PSELS4 => OPEN, 
        PREADYS4 => VCC_net, PSLVERRS4 => GND_net, PSELS5 => OPEN, 
        PREADYS5 => VCC_net, PSLVERRS5 => GND_net, PSELS6 => OPEN, 
        PREADYS6 => VCC_net, PSLVERRS6 => GND_net, PSELS7 => OPEN, 
        PREADYS7 => VCC_net, PSLVERRS7 => GND_net, PSELS8 => OPEN, 
        PREADYS8 => VCC_net, PSLVERRS8 => GND_net, PSELS9 => OPEN, 
        PREADYS9 => VCC_net, PSLVERRS9 => GND_net, PSELS10 => 
        OPEN, PREADYS10 => VCC_net, PSLVERRS10 => GND_net, 
        PSELS11 => OPEN, PREADYS11 => VCC_net, PSLVERRS11 => 
        GND_net, PSELS12 => OPEN, PREADYS12 => VCC_net, 
        PSLVERRS12 => GND_net, PSELS13 => OPEN, PREADYS13 => 
        VCC_net, PSLVERRS13 => GND_net, PSELS14 => OPEN, 
        PREADYS14 => VCC_net, PSLVERRS14 => GND_net, PSELS15 => 
        OPEN, PREADYS15 => VCC_net, PSLVERRS15 => GND_net, 
        PADDR(23) => GND_net, PADDR(22) => GND_net, PADDR(21) => 
        GND_net, PADDR(20) => GND_net, PADDR(19) => 
        \COREABC_0_APB3master_PADDR_[19]\, PADDR(18) => 
        \COREABC_0_APB3master_PADDR_[18]\, PADDR(17) => 
        \COREABC_0_APB3master_PADDR_[17]\, PADDR(16) => 
        \COREABC_0_APB3master_PADDR_[16]\, PADDR(15) => 
        \COREABC_0_APB3master_PADDR_[15]\, PADDR(14) => 
        \COREABC_0_APB3master_PADDR_[14]\, PADDR(13) => 
        \COREABC_0_APB3master_PADDR_[13]\, PADDR(12) => 
        \COREABC_0_APB3master_PADDR_[12]\, PADDR(11) => 
        \COREABC_0_APB3master_PADDR_[11]\, PADDR(10) => 
        \COREABC_0_APB3master_PADDR_[10]\, PADDR(9) => 
        \COREABC_0_APB3master_PADDR_[9]\, PADDR(8) => 
        \COREABC_0_APB3master_PADDR_[8]\, PADDR(7) => 
        \COREABC_0_APB3master_PADDR_[7]\, PADDR(6) => 
        \COREABC_0_APB3master_PADDR_[6]\, PADDR(5) => 
        \COREABC_0_APB3master_PADDR_[5]\, PADDR(4) => 
        \COREABC_0_APB3master_PADDR_[4]\, PADDR(3) => 
        \COREABC_0_APB3master_PADDR_[3]\, PADDR(2) => 
        \COREABC_0_APB3master_PADDR_[2]\, PADDR(1) => 
        \COREABC_0_APB3master_PADDR_[1]\, PADDR(0) => 
        \COREABC_0_APB3master_PADDR_[0]\, PWDATA(31) => 
        \COREABC_0_APB3master_PWDATA_[31]\, PWDATA(30) => 
        \COREABC_0_APB3master_PWDATA_[30]\, PWDATA(29) => 
        \COREABC_0_APB3master_PWDATA_[29]\, PWDATA(28) => 
        \COREABC_0_APB3master_PWDATA_[28]\, PWDATA(27) => 
        \COREABC_0_APB3master_PWDATA_[27]\, PWDATA(26) => 
        \COREABC_0_APB3master_PWDATA_[26]\, PWDATA(25) => 
        \COREABC_0_APB3master_PWDATA_[25]\, PWDATA(24) => 
        \COREABC_0_APB3master_PWDATA_[24]\, PWDATA(23) => 
        \COREABC_0_APB3master_PWDATA_[23]\, PWDATA(22) => 
        \COREABC_0_APB3master_PWDATA_[22]\, PWDATA(21) => 
        \COREABC_0_APB3master_PWDATA_[21]\, PWDATA(20) => 
        \COREABC_0_APB3master_PWDATA_[20]\, PWDATA(19) => 
        \COREABC_0_APB3master_PWDATA_[19]\, PWDATA(18) => 
        \COREABC_0_APB3master_PWDATA_[18]\, PWDATA(17) => 
        \COREABC_0_APB3master_PWDATA_[17]\, PWDATA(16) => 
        \COREABC_0_APB3master_PWDATA_[16]\, PWDATA(15) => 
        \COREABC_0_APB3master_PWDATA_[15]\, PWDATA(14) => 
        \COREABC_0_APB3master_PWDATA_[14]\, PWDATA(13) => 
        \COREABC_0_APB3master_PWDATA_[13]\, PWDATA(12) => 
        \COREABC_0_APB3master_PWDATA_[12]\, PWDATA(11) => 
        \COREABC_0_APB3master_PWDATA_[11]\, PWDATA(10) => 
        \COREABC_0_APB3master_PWDATA_[10]\, PWDATA(9) => 
        \COREABC_0_APB3master_PWDATA_[9]\, PWDATA(8) => 
        \COREABC_0_APB3master_PWDATA_[8]\, PWDATA(7) => 
        \COREABC_0_APB3master_PWDATA_[7]\, PWDATA(6) => 
        \COREABC_0_APB3master_PWDATA_[6]\, PWDATA(5) => 
        \COREABC_0_APB3master_PWDATA_[5]\, PWDATA(4) => 
        \COREABC_0_APB3master_PWDATA_[4]\, PWDATA(3) => 
        \COREABC_0_APB3master_PWDATA_[3]\, PWDATA(2) => 
        \COREABC_0_APB3master_PWDATA_[2]\, PWDATA(1) => 
        \COREABC_0_APB3master_PWDATA_[1]\, PWDATA(0) => 
        \COREABC_0_APB3master_PWDATA_[0]\, PRDATA(31) => 
        \COREABC_0_APB3master_PRDATA_[31]\, PRDATA(30) => 
        \COREABC_0_APB3master_PRDATA_[30]\, PRDATA(29) => 
        \COREABC_0_APB3master_PRDATA_[29]\, PRDATA(28) => 
        \COREABC_0_APB3master_PRDATA_[28]\, PRDATA(27) => 
        \COREABC_0_APB3master_PRDATA_[27]\, PRDATA(26) => 
        \COREABC_0_APB3master_PRDATA_[26]\, PRDATA(25) => 
        \COREABC_0_APB3master_PRDATA_[25]\, PRDATA(24) => 
        \COREABC_0_APB3master_PRDATA_[24]\, PRDATA(23) => 
        \COREABC_0_APB3master_PRDATA_[23]\, PRDATA(22) => 
        \COREABC_0_APB3master_PRDATA_[22]\, PRDATA(21) => 
        \COREABC_0_APB3master_PRDATA_[21]\, PRDATA(20) => 
        \COREABC_0_APB3master_PRDATA_[20]\, PRDATA(19) => 
        \COREABC_0_APB3master_PRDATA_[19]\, PRDATA(18) => 
        \COREABC_0_APB3master_PRDATA_[18]\, PRDATA(17) => 
        \COREABC_0_APB3master_PRDATA_[17]\, PRDATA(16) => 
        \COREABC_0_APB3master_PRDATA_[16]\, PRDATA(15) => 
        \COREABC_0_APB3master_PRDATA_[15]\, PRDATA(14) => 
        \COREABC_0_APB3master_PRDATA_[14]\, PRDATA(13) => 
        \COREABC_0_APB3master_PRDATA_[13]\, PRDATA(12) => 
        \COREABC_0_APB3master_PRDATA_[12]\, PRDATA(11) => 
        \COREABC_0_APB3master_PRDATA_[11]\, PRDATA(10) => 
        \COREABC_0_APB3master_PRDATA_[10]\, PRDATA(9) => 
        \COREABC_0_APB3master_PRDATA_[9]\, PRDATA(8) => 
        \COREABC_0_APB3master_PRDATA_[8]\, PRDATA(7) => 
        \COREABC_0_APB3master_PRDATA_[7]\, PRDATA(6) => 
        \COREABC_0_APB3master_PRDATA_[6]\, PRDATA(5) => 
        \COREABC_0_APB3master_PRDATA_[5]\, PRDATA(4) => 
        \COREABC_0_APB3master_PRDATA_[4]\, PRDATA(3) => 
        \COREABC_0_APB3master_PRDATA_[3]\, PRDATA(2) => 
        \COREABC_0_APB3master_PRDATA_[2]\, PRDATA(1) => 
        \COREABC_0_APB3master_PRDATA_[1]\, PRDATA(0) => 
        \COREABC_0_APB3master_PRDATA_[0]\, PADDRS(23) => 
        \CoreAPB3_0_APBmslave2_PADDR_[23]\, PADDRS(22) => 
        \CoreAPB3_0_APBmslave2_PADDR_[22]\, PADDRS(21) => 
        \CoreAPB3_0_APBmslave2_PADDR_[21]\, PADDRS(20) => 
        \CoreAPB3_0_APBmslave2_PADDR_[20]\, PADDRS(19) => 
        \CoreAPB3_0_APBmslave2_PADDR_[19]\, PADDRS(18) => 
        \CoreAPB3_0_APBmslave2_PADDR_[18]\, PADDRS(17) => 
        \CoreAPB3_0_APBmslave2_PADDR_[17]\, PADDRS(16) => 
        \CoreAPB3_0_APBmslave2_PADDR_[16]\, PADDRS(15) => 
        \CoreAPB3_0_APBmslave2_PADDR_[15]\, PADDRS(14) => 
        \CoreAPB3_0_APBmslave2_PADDR_[14]\, PADDRS(13) => 
        \CoreAPB3_0_APBmslave2_PADDR_[13]\, PADDRS(12) => 
        \CoreAPB3_0_APBmslave2_PADDR_[12]\, PADDRS(11) => 
        \CoreAPB3_0_APBmslave2_PADDR_[11]\, PADDRS(10) => 
        \CoreAPB3_0_APBmslave2_PADDR_[10]\, PADDRS(9) => 
        \CoreAPB3_0_APBmslave2_PADDR_[9]\, PADDRS(8) => 
        \CoreAPB3_0_APBmslave2_PADDR_[8]\, PADDRS(7) => 
        \CoreAPB3_0_APBmslave2_PADDR_[7]\, PADDRS(6) => 
        \CoreAPB3_0_APBmslave2_PADDR_[6]\, PADDRS(5) => 
        \CoreAPB3_0_APBmslave2_PADDR_[5]\, PADDRS(4) => 
        \CoreAPB3_0_APBmslave2_PADDR_[4]\, PADDRS(3) => 
        \CoreAPB3_0_APBmslave2_PADDR_[3]\, PADDRS(2) => 
        \CoreAPB3_0_APBmslave2_PADDR_[2]\, PADDRS(1) => 
        \CoreAPB3_0_APBmslave2_PADDR_[1]\, PADDRS(0) => 
        \CoreAPB3_0_APBmslave2_PADDR_[0]\, PADDRS0(31) => 
        \CoreAPB3_0_APBmslave0_PADDR_[31]\, PADDRS0(30) => 
        \CoreAPB3_0_APBmslave0_PADDR_[30]\, PADDRS0(29) => 
        \CoreAPB3_0_APBmslave0_PADDR_[29]\, PADDRS0(28) => 
        \CoreAPB3_0_APBmslave0_PADDR_[28]\, PADDRS0(27) => 
        \CoreAPB3_0_APBmslave0_PADDR_[27]\, PADDRS0(26) => 
        \CoreAPB3_0_APBmslave0_PADDR_[26]\, PADDRS0(25) => 
        \CoreAPB3_0_APBmslave0_PADDR_[25]\, PADDRS0(24) => 
        \CoreAPB3_0_APBmslave0_PADDR_[24]\, PADDRS0(23) => 
        \CoreAPB3_0_APBmslave0_PADDR_[23]\, PADDRS0(22) => 
        \CoreAPB3_0_APBmslave0_PADDR_[22]\, PADDRS0(21) => 
        \CoreAPB3_0_APBmslave0_PADDR_[21]\, PADDRS0(20) => 
        \CoreAPB3_0_APBmslave0_PADDR_[20]\, PADDRS0(19) => 
        \CoreAPB3_0_APBmslave0_PADDR_[19]\, PADDRS0(18) => 
        \CoreAPB3_0_APBmslave0_PADDR_[18]\, PADDRS0(17) => 
        \CoreAPB3_0_APBmslave0_PADDR_[17]\, PADDRS0(16) => 
        \CoreAPB3_0_APBmslave0_PADDR_[16]\, PADDRS0(15) => 
        \CoreAPB3_0_APBmslave0_PADDR_[15]\, PADDRS0(14) => 
        \CoreAPB3_0_APBmslave0_PADDR_[14]\, PADDRS0(13) => 
        \CoreAPB3_0_APBmslave0_PADDR_[13]\, PADDRS0(12) => 
        \CoreAPB3_0_APBmslave0_PADDR_[12]\, PADDRS0(11) => 
        \CoreAPB3_0_APBmslave0_PADDR_[11]\, PADDRS0(10) => 
        \CoreAPB3_0_APBmslave0_PADDR_[10]\, PADDRS0(9) => 
        \CoreAPB3_0_APBmslave0_PADDR_[9]\, PADDRS0(8) => 
        \CoreAPB3_0_APBmslave0_PADDR_[8]\, PADDRS0(7) => 
        \CoreAPB3_0_APBmslave0_PADDR_[7]\, PADDRS0(6) => 
        \CoreAPB3_0_APBmslave0_PADDR_[6]\, PADDRS0(5) => 
        \CoreAPB3_0_APBmslave0_PADDR_[5]\, PADDRS0(4) => 
        \CoreAPB3_0_APBmslave0_PADDR_[4]\, PADDRS0(3) => 
        \CoreAPB3_0_APBmslave0_PADDR_[3]\, PADDRS0(2) => 
        \CoreAPB3_0_APBmslave0_PADDR_[2]\, PADDRS0(1) => 
        \CoreAPB3_0_APBmslave0_PADDR_[1]\, PADDRS0(0) => 
        \CoreAPB3_0_APBmslave0_PADDR_[0]\, PWDATAS(31) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[31]\, PWDATAS(30) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[30]\, PWDATAS(29) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[29]\, PWDATAS(28) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[28]\, PWDATAS(27) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[27]\, PWDATAS(26) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[26]\, PWDATAS(25) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[25]\, PWDATAS(24) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[24]\, PWDATAS(23) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[23]\, PWDATAS(22) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[22]\, PWDATAS(21) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[21]\, PWDATAS(20) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[20]\, PWDATAS(19) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[19]\, PWDATAS(18) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[18]\, PWDATAS(17) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[17]\, PWDATAS(16) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[16]\, PWDATAS(15) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[15]\, PWDATAS(14) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[14]\, PWDATAS(13) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[13]\, PWDATAS(12) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[12]\, PWDATAS(11) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[11]\, PWDATAS(10) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[10]\, PWDATAS(9) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[9]\, PWDATAS(8) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[8]\, PWDATAS(7) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[7]\, PWDATAS(6) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[6]\, PWDATAS(5) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[5]\, PWDATAS(4) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[4]\, PWDATAS(3) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[3]\, PWDATAS(2) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[2]\, PWDATAS(1) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[1]\, PWDATAS(0) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[0]\, PRDATAS0(31) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[31]\, PRDATAS0(30) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[30]\, PRDATAS0(29) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[29]\, PRDATAS0(28) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[28]\, PRDATAS0(27) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[27]\, PRDATAS0(26) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[26]\, PRDATAS0(25) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[25]\, PRDATAS0(24) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[24]\, PRDATAS0(23) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[23]\, PRDATAS0(22) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[22]\, PRDATAS0(21) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[21]\, PRDATAS0(20) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[20]\, PRDATAS0(19) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[19]\, PRDATAS0(18) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[18]\, PRDATAS0(17) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[17]\, PRDATAS0(16) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[16]\, PRDATAS0(15) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[15]\, PRDATAS0(14) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[14]\, PRDATAS0(13) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[13]\, PRDATAS0(12) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[12]\, PRDATAS0(11) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[11]\, PRDATAS0(10) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[10]\, PRDATAS0(9) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[9]\, PRDATAS0(8) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[8]\, PRDATAS0(7) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[7]\, PRDATAS0(6) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[6]\, PRDATAS0(5) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[5]\, PRDATAS0(4) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[4]\, PRDATAS0(3) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[3]\, PRDATAS0(2) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[2]\, PRDATAS0(1) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[1]\, PRDATAS0(0) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[0]\, PRDATAS1(31) => 
        GND_net, PRDATAS1(30) => GND_net, PRDATAS1(29) => GND_net, 
        PRDATAS1(28) => GND_net, PRDATAS1(27) => GND_net, 
        PRDATAS1(26) => GND_net, PRDATAS1(25) => GND_net, 
        PRDATAS1(24) => GND_net, PRDATAS1(23) => GND_net, 
        PRDATAS1(22) => GND_net, PRDATAS1(21) => GND_net, 
        PRDATAS1(20) => GND_net, PRDATAS1(19) => GND_net, 
        PRDATAS1(18) => GND_net, PRDATAS1(17) => GND_net, 
        PRDATAS1(16) => GND_net, PRDATAS1(15) => GND_net, 
        PRDATAS1(14) => GND_net, PRDATAS1(13) => GND_net, 
        PRDATAS1(12) => GND_net, PRDATAS1(11) => GND_net, 
        PRDATAS1(10) => GND_net, PRDATAS1(9) => GND_net, 
        PRDATAS1(8) => GND_net, PRDATAS1(7) => GND_net, 
        PRDATAS1(6) => GND_net, PRDATAS1(5) => GND_net, 
        PRDATAS1(4) => GND_net, PRDATAS1(3) => GND_net, 
        PRDATAS1(2) => GND_net, PRDATAS1(1) => GND_net, 
        PRDATAS1(0) => GND_net, PRDATAS2(31) => GND_net, 
        PRDATAS2(30) => GND_net, PRDATAS2(29) => GND_net, 
        PRDATAS2(28) => GND_net, PRDATAS2(27) => GND_net, 
        PRDATAS2(26) => GND_net, PRDATAS2(25) => GND_net, 
        PRDATAS2(24) => GND_net, PRDATAS2(23) => GND_net, 
        PRDATAS2(22) => GND_net, PRDATAS2(21) => GND_net, 
        PRDATAS2(20) => GND_net, PRDATAS2(19) => GND_net, 
        PRDATAS2(18) => GND_net, PRDATAS2(17) => GND_net, 
        PRDATAS2(16) => GND_net, PRDATAS2(15) => GND_net, 
        PRDATAS2(14) => GND_net, PRDATAS2(13) => GND_net, 
        PRDATAS2(12) => GND_net, PRDATAS2(11) => GND_net, 
        PRDATAS2(10) => GND_net, PRDATAS2(9) => GND_net, 
        PRDATAS2(8) => GND_net, PRDATAS2(7) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[7]\, PRDATAS2(6) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[6]\, PRDATAS2(5) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[5]\, PRDATAS2(4) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[4]\, PRDATAS2(3) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[3]\, PRDATAS2(2) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[2]\, PRDATAS2(1) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[1]\, PRDATAS2(0) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[0]\, PRDATAS3(31) => 
        GND_net, PRDATAS3(30) => GND_net, PRDATAS3(29) => GND_net, 
        PRDATAS3(28) => GND_net, PRDATAS3(27) => GND_net, 
        PRDATAS3(26) => GND_net, PRDATAS3(25) => GND_net, 
        PRDATAS3(24) => GND_net, PRDATAS3(23) => GND_net, 
        PRDATAS3(22) => GND_net, PRDATAS3(21) => GND_net, 
        PRDATAS3(20) => GND_net, PRDATAS3(19) => GND_net, 
        PRDATAS3(18) => GND_net, PRDATAS3(17) => GND_net, 
        PRDATAS3(16) => GND_net, PRDATAS3(15) => GND_net, 
        PRDATAS3(14) => GND_net, PRDATAS3(13) => GND_net, 
        PRDATAS3(12) => GND_net, PRDATAS3(11) => GND_net, 
        PRDATAS3(10) => GND_net, PRDATAS3(9) => GND_net, 
        PRDATAS3(8) => GND_net, PRDATAS3(7) => GND_net, 
        PRDATAS3(6) => GND_net, PRDATAS3(5) => GND_net, 
        PRDATAS3(4) => GND_net, PRDATAS3(3) => GND_net, 
        PRDATAS3(2) => GND_net, PRDATAS3(1) => GND_net, 
        PRDATAS3(0) => GND_net, PRDATAS4(31) => GND_net, 
        PRDATAS4(30) => GND_net, PRDATAS4(29) => GND_net, 
        PRDATAS4(28) => GND_net, PRDATAS4(27) => GND_net, 
        PRDATAS4(26) => GND_net, PRDATAS4(25) => GND_net, 
        PRDATAS4(24) => GND_net, PRDATAS4(23) => GND_net, 
        PRDATAS4(22) => GND_net, PRDATAS4(21) => GND_net, 
        PRDATAS4(20) => GND_net, PRDATAS4(19) => GND_net, 
        PRDATAS4(18) => GND_net, PRDATAS4(17) => GND_net, 
        PRDATAS4(16) => GND_net, PRDATAS4(15) => GND_net, 
        PRDATAS4(14) => GND_net, PRDATAS4(13) => GND_net, 
        PRDATAS4(12) => GND_net, PRDATAS4(11) => GND_net, 
        PRDATAS4(10) => GND_net, PRDATAS4(9) => GND_net, 
        PRDATAS4(8) => GND_net, PRDATAS4(7) => GND_net, 
        PRDATAS4(6) => GND_net, PRDATAS4(5) => GND_net, 
        PRDATAS4(4) => GND_net, PRDATAS4(3) => GND_net, 
        PRDATAS4(2) => GND_net, PRDATAS4(1) => GND_net, 
        PRDATAS4(0) => GND_net, PRDATAS5(31) => GND_net, 
        PRDATAS5(30) => GND_net, PRDATAS5(29) => GND_net, 
        PRDATAS5(28) => GND_net, PRDATAS5(27) => GND_net, 
        PRDATAS5(26) => GND_net, PRDATAS5(25) => GND_net, 
        PRDATAS5(24) => GND_net, PRDATAS5(23) => GND_net, 
        PRDATAS5(22) => GND_net, PRDATAS5(21) => GND_net, 
        PRDATAS5(20) => GND_net, PRDATAS5(19) => GND_net, 
        PRDATAS5(18) => GND_net, PRDATAS5(17) => GND_net, 
        PRDATAS5(16) => GND_net, PRDATAS5(15) => GND_net, 
        PRDATAS5(14) => GND_net, PRDATAS5(13) => GND_net, 
        PRDATAS5(12) => GND_net, PRDATAS5(11) => GND_net, 
        PRDATAS5(10) => GND_net, PRDATAS5(9) => GND_net, 
        PRDATAS5(8) => GND_net, PRDATAS5(7) => GND_net, 
        PRDATAS5(6) => GND_net, PRDATAS5(5) => GND_net, 
        PRDATAS5(4) => GND_net, PRDATAS5(3) => GND_net, 
        PRDATAS5(2) => GND_net, PRDATAS5(1) => GND_net, 
        PRDATAS5(0) => GND_net, PRDATAS6(31) => GND_net, 
        PRDATAS6(30) => GND_net, PRDATAS6(29) => GND_net, 
        PRDATAS6(28) => GND_net, PRDATAS6(27) => GND_net, 
        PRDATAS6(26) => GND_net, PRDATAS6(25) => GND_net, 
        PRDATAS6(24) => GND_net, PRDATAS6(23) => GND_net, 
        PRDATAS6(22) => GND_net, PRDATAS6(21) => GND_net, 
        PRDATAS6(20) => GND_net, PRDATAS6(19) => GND_net, 
        PRDATAS6(18) => GND_net, PRDATAS6(17) => GND_net, 
        PRDATAS6(16) => GND_net, PRDATAS6(15) => GND_net, 
        PRDATAS6(14) => GND_net, PRDATAS6(13) => GND_net, 
        PRDATAS6(12) => GND_net, PRDATAS6(11) => GND_net, 
        PRDATAS6(10) => GND_net, PRDATAS6(9) => GND_net, 
        PRDATAS6(8) => GND_net, PRDATAS6(7) => GND_net, 
        PRDATAS6(6) => GND_net, PRDATAS6(5) => GND_net, 
        PRDATAS6(4) => GND_net, PRDATAS6(3) => GND_net, 
        PRDATAS6(2) => GND_net, PRDATAS6(1) => GND_net, 
        PRDATAS6(0) => GND_net, PRDATAS7(31) => GND_net, 
        PRDATAS7(30) => GND_net, PRDATAS7(29) => GND_net, 
        PRDATAS7(28) => GND_net, PRDATAS7(27) => GND_net, 
        PRDATAS7(26) => GND_net, PRDATAS7(25) => GND_net, 
        PRDATAS7(24) => GND_net, PRDATAS7(23) => GND_net, 
        PRDATAS7(22) => GND_net, PRDATAS7(21) => GND_net, 
        PRDATAS7(20) => GND_net, PRDATAS7(19) => GND_net, 
        PRDATAS7(18) => GND_net, PRDATAS7(17) => GND_net, 
        PRDATAS7(16) => GND_net, PRDATAS7(15) => GND_net, 
        PRDATAS7(14) => GND_net, PRDATAS7(13) => GND_net, 
        PRDATAS7(12) => GND_net, PRDATAS7(11) => GND_net, 
        PRDATAS7(10) => GND_net, PRDATAS7(9) => GND_net, 
        PRDATAS7(8) => GND_net, PRDATAS7(7) => GND_net, 
        PRDATAS7(6) => GND_net, PRDATAS7(5) => GND_net, 
        PRDATAS7(4) => GND_net, PRDATAS7(3) => GND_net, 
        PRDATAS7(2) => GND_net, PRDATAS7(1) => GND_net, 
        PRDATAS7(0) => GND_net, PRDATAS8(31) => GND_net, 
        PRDATAS8(30) => GND_net, PRDATAS8(29) => GND_net, 
        PRDATAS8(28) => GND_net, PRDATAS8(27) => GND_net, 
        PRDATAS8(26) => GND_net, PRDATAS8(25) => GND_net, 
        PRDATAS8(24) => GND_net, PRDATAS8(23) => GND_net, 
        PRDATAS8(22) => GND_net, PRDATAS8(21) => GND_net, 
        PRDATAS8(20) => GND_net, PRDATAS8(19) => GND_net, 
        PRDATAS8(18) => GND_net, PRDATAS8(17) => GND_net, 
        PRDATAS8(16) => GND_net, PRDATAS8(15) => GND_net, 
        PRDATAS8(14) => GND_net, PRDATAS8(13) => GND_net, 
        PRDATAS8(12) => GND_net, PRDATAS8(11) => GND_net, 
        PRDATAS8(10) => GND_net, PRDATAS8(9) => GND_net, 
        PRDATAS8(8) => GND_net, PRDATAS8(7) => GND_net, 
        PRDATAS8(6) => GND_net, PRDATAS8(5) => GND_net, 
        PRDATAS8(4) => GND_net, PRDATAS8(3) => GND_net, 
        PRDATAS8(2) => GND_net, PRDATAS8(1) => GND_net, 
        PRDATAS8(0) => GND_net, PRDATAS9(31) => GND_net, 
        PRDATAS9(30) => GND_net, PRDATAS9(29) => GND_net, 
        PRDATAS9(28) => GND_net, PRDATAS9(27) => GND_net, 
        PRDATAS9(26) => GND_net, PRDATAS9(25) => GND_net, 
        PRDATAS9(24) => GND_net, PRDATAS9(23) => GND_net, 
        PRDATAS9(22) => GND_net, PRDATAS9(21) => GND_net, 
        PRDATAS9(20) => GND_net, PRDATAS9(19) => GND_net, 
        PRDATAS9(18) => GND_net, PRDATAS9(17) => GND_net, 
        PRDATAS9(16) => GND_net, PRDATAS9(15) => GND_net, 
        PRDATAS9(14) => GND_net, PRDATAS9(13) => GND_net, 
        PRDATAS9(12) => GND_net, PRDATAS9(11) => GND_net, 
        PRDATAS9(10) => GND_net, PRDATAS9(9) => GND_net, 
        PRDATAS9(8) => GND_net, PRDATAS9(7) => GND_net, 
        PRDATAS9(6) => GND_net, PRDATAS9(5) => GND_net, 
        PRDATAS9(4) => GND_net, PRDATAS9(3) => GND_net, 
        PRDATAS9(2) => GND_net, PRDATAS9(1) => GND_net, 
        PRDATAS9(0) => GND_net, PRDATAS10(31) => GND_net, 
        PRDATAS10(30) => GND_net, PRDATAS10(29) => GND_net, 
        PRDATAS10(28) => GND_net, PRDATAS10(27) => GND_net, 
        PRDATAS10(26) => GND_net, PRDATAS10(25) => GND_net, 
        PRDATAS10(24) => GND_net, PRDATAS10(23) => GND_net, 
        PRDATAS10(22) => GND_net, PRDATAS10(21) => GND_net, 
        PRDATAS10(20) => GND_net, PRDATAS10(19) => GND_net, 
        PRDATAS10(18) => GND_net, PRDATAS10(17) => GND_net, 
        PRDATAS10(16) => GND_net, PRDATAS10(15) => GND_net, 
        PRDATAS10(14) => GND_net, PRDATAS10(13) => GND_net, 
        PRDATAS10(12) => GND_net, PRDATAS10(11) => GND_net, 
        PRDATAS10(10) => GND_net, PRDATAS10(9) => GND_net, 
        PRDATAS10(8) => GND_net, PRDATAS10(7) => GND_net, 
        PRDATAS10(6) => GND_net, PRDATAS10(5) => GND_net, 
        PRDATAS10(4) => GND_net, PRDATAS10(3) => GND_net, 
        PRDATAS10(2) => GND_net, PRDATAS10(1) => GND_net, 
        PRDATAS10(0) => GND_net, PRDATAS11(31) => GND_net, 
        PRDATAS11(30) => GND_net, PRDATAS11(29) => GND_net, 
        PRDATAS11(28) => GND_net, PRDATAS11(27) => GND_net, 
        PRDATAS11(26) => GND_net, PRDATAS11(25) => GND_net, 
        PRDATAS11(24) => GND_net, PRDATAS11(23) => GND_net, 
        PRDATAS11(22) => GND_net, PRDATAS11(21) => GND_net, 
        PRDATAS11(20) => GND_net, PRDATAS11(19) => GND_net, 
        PRDATAS11(18) => GND_net, PRDATAS11(17) => GND_net, 
        PRDATAS11(16) => GND_net, PRDATAS11(15) => GND_net, 
        PRDATAS11(14) => GND_net, PRDATAS11(13) => GND_net, 
        PRDATAS11(12) => GND_net, PRDATAS11(11) => GND_net, 
        PRDATAS11(10) => GND_net, PRDATAS11(9) => GND_net, 
        PRDATAS11(8) => GND_net, PRDATAS11(7) => GND_net, 
        PRDATAS11(6) => GND_net, PRDATAS11(5) => GND_net, 
        PRDATAS11(4) => GND_net, PRDATAS11(3) => GND_net, 
        PRDATAS11(2) => GND_net, PRDATAS11(1) => GND_net, 
        PRDATAS11(0) => GND_net, PRDATAS12(31) => GND_net, 
        PRDATAS12(30) => GND_net, PRDATAS12(29) => GND_net, 
        PRDATAS12(28) => GND_net, PRDATAS12(27) => GND_net, 
        PRDATAS12(26) => GND_net, PRDATAS12(25) => GND_net, 
        PRDATAS12(24) => GND_net, PRDATAS12(23) => GND_net, 
        PRDATAS12(22) => GND_net, PRDATAS12(21) => GND_net, 
        PRDATAS12(20) => GND_net, PRDATAS12(19) => GND_net, 
        PRDATAS12(18) => GND_net, PRDATAS12(17) => GND_net, 
        PRDATAS12(16) => GND_net, PRDATAS12(15) => GND_net, 
        PRDATAS12(14) => GND_net, PRDATAS12(13) => GND_net, 
        PRDATAS12(12) => GND_net, PRDATAS12(11) => GND_net, 
        PRDATAS12(10) => GND_net, PRDATAS12(9) => GND_net, 
        PRDATAS12(8) => GND_net, PRDATAS12(7) => GND_net, 
        PRDATAS12(6) => GND_net, PRDATAS12(5) => GND_net, 
        PRDATAS12(4) => GND_net, PRDATAS12(3) => GND_net, 
        PRDATAS12(2) => GND_net, PRDATAS12(1) => GND_net, 
        PRDATAS12(0) => GND_net, PRDATAS13(31) => GND_net, 
        PRDATAS13(30) => GND_net, PRDATAS13(29) => GND_net, 
        PRDATAS13(28) => GND_net, PRDATAS13(27) => GND_net, 
        PRDATAS13(26) => GND_net, PRDATAS13(25) => GND_net, 
        PRDATAS13(24) => GND_net, PRDATAS13(23) => GND_net, 
        PRDATAS13(22) => GND_net, PRDATAS13(21) => GND_net, 
        PRDATAS13(20) => GND_net, PRDATAS13(19) => GND_net, 
        PRDATAS13(18) => GND_net, PRDATAS13(17) => GND_net, 
        PRDATAS13(16) => GND_net, PRDATAS13(15) => GND_net, 
        PRDATAS13(14) => GND_net, PRDATAS13(13) => GND_net, 
        PRDATAS13(12) => GND_net, PRDATAS13(11) => GND_net, 
        PRDATAS13(10) => GND_net, PRDATAS13(9) => GND_net, 
        PRDATAS13(8) => GND_net, PRDATAS13(7) => GND_net, 
        PRDATAS13(6) => GND_net, PRDATAS13(5) => GND_net, 
        PRDATAS13(4) => GND_net, PRDATAS13(3) => GND_net, 
        PRDATAS13(2) => GND_net, PRDATAS13(1) => GND_net, 
        PRDATAS13(0) => GND_net, PRDATAS14(31) => GND_net, 
        PRDATAS14(30) => GND_net, PRDATAS14(29) => GND_net, 
        PRDATAS14(28) => GND_net, PRDATAS14(27) => GND_net, 
        PRDATAS14(26) => GND_net, PRDATAS14(25) => GND_net, 
        PRDATAS14(24) => GND_net, PRDATAS14(23) => GND_net, 
        PRDATAS14(22) => GND_net, PRDATAS14(21) => GND_net, 
        PRDATAS14(20) => GND_net, PRDATAS14(19) => GND_net, 
        PRDATAS14(18) => GND_net, PRDATAS14(17) => GND_net, 
        PRDATAS14(16) => GND_net, PRDATAS14(15) => GND_net, 
        PRDATAS14(14) => GND_net, PRDATAS14(13) => GND_net, 
        PRDATAS14(12) => GND_net, PRDATAS14(11) => GND_net, 
        PRDATAS14(10) => GND_net, PRDATAS14(9) => GND_net, 
        PRDATAS14(8) => GND_net, PRDATAS14(7) => GND_net, 
        PRDATAS14(6) => GND_net, PRDATAS14(5) => GND_net, 
        PRDATAS14(4) => GND_net, PRDATAS14(3) => GND_net, 
        PRDATAS14(2) => GND_net, PRDATAS14(1) => GND_net, 
        PRDATAS14(0) => GND_net, PRDATAS15(31) => GND_net, 
        PRDATAS15(30) => GND_net, PRDATAS15(29) => GND_net, 
        PRDATAS15(28) => GND_net, PRDATAS15(27) => GND_net, 
        PRDATAS15(26) => GND_net, PRDATAS15(25) => GND_net, 
        PRDATAS15(24) => GND_net, PRDATAS15(23) => GND_net, 
        PRDATAS15(22) => GND_net, PRDATAS15(21) => GND_net, 
        PRDATAS15(20) => GND_net, PRDATAS15(19) => GND_net, 
        PRDATAS15(18) => GND_net, PRDATAS15(17) => GND_net, 
        PRDATAS15(16) => GND_net, PRDATAS15(15) => GND_net, 
        PRDATAS15(14) => GND_net, PRDATAS15(13) => GND_net, 
        PRDATAS15(12) => GND_net, PRDATAS15(11) => GND_net, 
        PRDATAS15(10) => GND_net, PRDATAS15(9) => GND_net, 
        PRDATAS15(8) => GND_net, PRDATAS15(7) => GND_net, 
        PRDATAS15(6) => GND_net, PRDATAS15(5) => GND_net, 
        PRDATAS15(4) => GND_net, PRDATAS15(3) => GND_net, 
        PRDATAS15(2) => GND_net, PRDATAS15(1) => GND_net, 
        PRDATAS15(0) => GND_net);
    
    \VCC\ : VCC
      port map(Y => VCC_net);
    
    APB_sine_LUT_0 : entity work.APB_sine_LUT
      port map(PCLK => MSS_Waveform_0_FAB_CLK, PRESETn => 
        COREABC_0_PRESETN, PENABLE => 
        CoreAPB3_0_APBmslave0_PENABLE, PSEL => 
        CoreAPB3_0_APBmslave2_PSELx, PWRITE => 
        CoreAPB3_0_APBmslave0_PWRITE, PREADY => 
        CoreAPB3_0_APBmslave2_PREADY, PSLVERR => 
        CoreAPB3_0_APBmslave2_PSLVERR, PADDR(7) => 
        \CoreAPB3_0_APBmslave2_PADDR_[7]\, PADDR(6) => 
        \CoreAPB3_0_APBmslave2_PADDR_[6]\, PADDR(5) => 
        \CoreAPB3_0_APBmslave2_PADDR_[5]\, PADDR(4) => 
        \CoreAPB3_0_APBmslave2_PADDR_[4]\, PADDR(3) => 
        \CoreAPB3_0_APBmslave2_PADDR_[3]\, PADDR(2) => 
        \CoreAPB3_0_APBmslave2_PADDR_[2]\, PADDR(1) => 
        \CoreAPB3_0_APBmslave2_PADDR_[1]\, PADDR(0) => 
        \CoreAPB3_0_APBmslave2_PADDR_[0]\, PWDATA(31) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[31]\, PWDATA(30) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[30]\, PWDATA(29) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[29]\, PWDATA(28) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[28]\, PWDATA(27) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[27]\, PWDATA(26) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[26]\, PWDATA(25) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[25]\, PWDATA(24) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[24]\, PWDATA(23) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[23]\, PWDATA(22) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[22]\, PWDATA(21) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[21]\, PWDATA(20) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[20]\, PWDATA(19) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[19]\, PWDATA(18) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[18]\, PWDATA(17) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[17]\, PWDATA(16) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[16]\, PWDATA(15) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[15]\, PWDATA(14) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[14]\, PWDATA(13) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[13]\, PWDATA(12) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[12]\, PWDATA(11) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[11]\, PWDATA(10) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[10]\, PWDATA(9) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[9]\, PWDATA(8) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[8]\, PWDATA(7) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[7]\, PWDATA(6) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[6]\, PWDATA(5) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[5]\, PWDATA(4) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[4]\, PWDATA(3) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[3]\, PWDATA(2) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[2]\, PWDATA(1) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[1]\, PWDATA(0) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[0]\, PRDATA(7) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[7]\, PRDATA(6) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[6]\, PRDATA(5) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[5]\, PRDATA(4) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[4]\, PRDATA(3) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[3]\, PRDATA(2) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[2]\, PRDATA(1) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[1]\, PRDATA(0) => 
        \CoreAPB3_0_APBmslave2_PRDATA_[0]\);
    
    MSS_Waveform_0 : MSS_Waveform
      port map(MSS_RESET_N => MSS_RESET_N, FAB_CLK => 
        MSS_Waveform_0_FAB_CLK, MAINXIN => MAINXIN, FABPSEL => 
        CoreAPB3_0_APBmslave0_PSELx, FABPENABLE => 
        CoreAPB3_0_APBmslave0_PENABLE, FABPWRITE => 
        CoreAPB3_0_APBmslave0_PWRITE, FABPREADY => 
        CoreAPB3_0_APBmslave0_PREADY, FABPSLVERR => 
        CoreAPB3_0_APBmslave0_PSLVERR, M2F_RESET_N => 
        MSS_Waveform_0_M2F_RESET_N, SDD_0 => SDD_0, VAREF0 => 
        VAREF0, FABPADDR(31) => 
        \CoreAPB3_0_APBmslave0_PADDR_[31]\, FABPADDR(30) => 
        \CoreAPB3_0_APBmslave0_PADDR_[30]\, FABPADDR(29) => 
        \CoreAPB3_0_APBmslave0_PADDR_[29]\, FABPADDR(28) => 
        \CoreAPB3_0_APBmslave0_PADDR_[28]\, FABPADDR(27) => 
        \CoreAPB3_0_APBmslave0_PADDR_[27]\, FABPADDR(26) => 
        \CoreAPB3_0_APBmslave0_PADDR_[26]\, FABPADDR(25) => 
        \CoreAPB3_0_APBmslave0_PADDR_[25]\, FABPADDR(24) => 
        \CoreAPB3_0_APBmslave0_PADDR_[24]\, FABPADDR(23) => 
        \CoreAPB3_0_APBmslave0_PADDR_[23]\, FABPADDR(22) => 
        \CoreAPB3_0_APBmslave0_PADDR_[22]\, FABPADDR(21) => 
        \CoreAPB3_0_APBmslave0_PADDR_[21]\, FABPADDR(20) => 
        \CoreAPB3_0_APBmslave0_PADDR_[20]\, FABPADDR(19) => 
        \CoreAPB3_0_APBmslave0_PADDR_[19]\, FABPADDR(18) => 
        \CoreAPB3_0_APBmslave0_PADDR_[18]\, FABPADDR(17) => 
        \CoreAPB3_0_APBmslave0_PADDR_[17]\, FABPADDR(16) => 
        \CoreAPB3_0_APBmslave0_PADDR_[16]\, FABPADDR(15) => 
        \CoreAPB3_0_APBmslave0_PADDR_[15]\, FABPADDR(14) => 
        \CoreAPB3_0_APBmslave0_PADDR_[14]\, FABPADDR(13) => 
        \CoreAPB3_0_APBmslave0_PADDR_[13]\, FABPADDR(12) => 
        \CoreAPB3_0_APBmslave0_PADDR_[12]\, FABPADDR(11) => 
        \CoreAPB3_0_APBmslave0_PADDR_[11]\, FABPADDR(10) => 
        \CoreAPB3_0_APBmslave0_PADDR_[10]\, FABPADDR(9) => 
        \CoreAPB3_0_APBmslave0_PADDR_[9]\, FABPADDR(8) => 
        \CoreAPB3_0_APBmslave0_PADDR_[8]\, FABPADDR(7) => 
        \CoreAPB3_0_APBmslave0_PADDR_[7]\, FABPADDR(6) => 
        \CoreAPB3_0_APBmslave0_PADDR_[6]\, FABPADDR(5) => 
        \CoreAPB3_0_APBmslave0_PADDR_[5]\, FABPADDR(4) => 
        \CoreAPB3_0_APBmslave0_PADDR_[4]\, FABPADDR(3) => 
        \CoreAPB3_0_APBmslave0_PADDR_[3]\, FABPADDR(2) => 
        \CoreAPB3_0_APBmslave0_PADDR_[2]\, FABPADDR(1) => 
        \CoreAPB3_0_APBmslave0_PADDR_[1]\, FABPADDR(0) => 
        \CoreAPB3_0_APBmslave0_PADDR_[0]\, FABPRDATA(31) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[31]\, FABPRDATA(30) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[30]\, FABPRDATA(29) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[29]\, FABPRDATA(28) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[28]\, FABPRDATA(27) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[27]\, FABPRDATA(26) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[26]\, FABPRDATA(25) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[25]\, FABPRDATA(24) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[24]\, FABPRDATA(23) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[23]\, FABPRDATA(22) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[22]\, FABPRDATA(21) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[21]\, FABPRDATA(20) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[20]\, FABPRDATA(19) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[19]\, FABPRDATA(18) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[18]\, FABPRDATA(17) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[17]\, FABPRDATA(16) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[16]\, FABPRDATA(15) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[15]\, FABPRDATA(14) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[14]\, FABPRDATA(13) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[13]\, FABPRDATA(12) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[12]\, FABPRDATA(11) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[11]\, FABPRDATA(10) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[10]\, FABPRDATA(9) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[9]\, FABPRDATA(8) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[8]\, FABPRDATA(7) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[7]\, FABPRDATA(6) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[6]\, FABPRDATA(5) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[5]\, FABPRDATA(4) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[4]\, FABPRDATA(3) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[3]\, FABPRDATA(2) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[2]\, FABPRDATA(1) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[1]\, FABPRDATA(0) => 
        \CoreAPB3_0_APBmslave0_PRDATA_[0]\, FABPWDATA(31) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[31]\, FABPWDATA(30) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[30]\, FABPWDATA(29) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[29]\, FABPWDATA(28) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[28]\, FABPWDATA(27) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[27]\, FABPWDATA(26) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[26]\, FABPWDATA(25) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[25]\, FABPWDATA(24) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[24]\, FABPWDATA(23) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[23]\, FABPWDATA(22) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[22]\, FABPWDATA(21) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[21]\, FABPWDATA(20) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[20]\, FABPWDATA(19) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[19]\, FABPWDATA(18) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[18]\, FABPWDATA(17) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[17]\, FABPWDATA(16) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[16]\, FABPWDATA(15) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[15]\, FABPWDATA(14) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[14]\, FABPWDATA(13) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[13]\, FABPWDATA(12) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[12]\, FABPWDATA(11) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[11]\, FABPWDATA(10) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[10]\, FABPWDATA(9) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[9]\, FABPWDATA(8) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[8]\, FABPWDATA(7) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[7]\, FABPWDATA(6) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[6]\, FABPWDATA(5) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[5]\, FABPWDATA(4) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[4]\, FABPWDATA(3) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[3]\, FABPWDATA(2) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[2]\, FABPWDATA(1) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[1]\, FABPWDATA(0) => 
        \CoreAPB3_0_APBmslave0_PWDATA_[0]\);
    
    \GND\ : GND
      port map(Y => GND_net);
    
    COREABC_0 : Top_Waveform_COREABC_0_COREABC
      generic map(ACT_CALIBRATIONDATA => 1, APB_AWIDTH => 16,
         APB_DWIDTH => 32, APB_SDEPTH => 3, DEBUG => 1,
         EN_ACM => 0, EN_ADD => 1, EN_ALURAM => 0, EN_AND => 1,
         EN_CALL => 1, EN_DATAM => 2, EN_INC => 1,
         EN_INDIRECT => 1, EN_INT => 0, EN_IOREAD => 1,
         EN_IOWRT => 1, EN_MULT => 0, EN_OR => 1, EN_PUSH => 1,
         EN_RAM => 1, EN_SHL => 1, EN_SHR => 1, EN_XOR => 1,
         FAMILY => 18, ICWIDTH => 4, IFWIDTH => 0, IIWIDTH => 1,
         IMEM_APB_ACCESS => 0, INITWIDTH => 11, INSMODE => 0,
         IOWIDTH => 1, ISRADDR => 1, MAX_NVMDWIDTH => 32,
         STWIDTH => 4, TESTMODE => 0, UNIQ_STRING_LENGTH => 22,
         ZRWIDTH => 8)

      port map(INITDATVAL => GND_net, INITDONE => VCC_net, INTACT
         => OPEN, INTREQ => GND_net, NSYSRESET => 
        MSS_Waveform_0_M2F_RESET_N, PCLK => 
        MSS_Waveform_0_FAB_CLK, PRESETN => COREABC_0_PRESETN, 
        PENABLE_M => COREABC_0_APB3master_PENABLE, PSEL_M => 
        COREABC_0_APB3master_PSELx, PWRITE_M => 
        COREABC_0_APB3master_PWRITE, PREADY_M => 
        COREABC_0_APB3master_PREADY, PSLVERR_M => 
        COREABC_0_APB3master_PSLVERR, PSEL_S => GND_net, 
        PENABLE_S => GND_net, PWRITE_S => GND_net, PREADY_S => 
        OPEN, PSLVERR_S => OPEN, INITADDR(10) => GND_net, 
        INITADDR(9) => GND_net, INITADDR(8) => GND_net, 
        INITADDR(7) => GND_net, INITADDR(6) => GND_net, 
        INITADDR(5) => GND_net, INITADDR(4) => GND_net, 
        INITADDR(3) => GND_net, INITADDR(2) => GND_net, 
        INITADDR(1) => GND_net, INITADDR(0) => GND_net, 
        INITDATA(8) => GND_net, INITDATA(7) => GND_net, 
        INITDATA(6) => GND_net, INITDATA(5) => GND_net, 
        INITDATA(4) => GND_net, INITDATA(3) => GND_net, 
        INITDATA(2) => GND_net, INITDATA(1) => GND_net, 
        INITDATA(0) => GND_net, IO_IN(0) => GND_net, IO_OUT(0)
         => nc9, PADDR_M(19) => \COREABC_0_APB3master_PADDR_[19]\, 
        PADDR_M(18) => \COREABC_0_APB3master_PADDR_[18]\, 
        PADDR_M(17) => \COREABC_0_APB3master_PADDR_[17]\, 
        PADDR_M(16) => \COREABC_0_APB3master_PADDR_[16]\, 
        PADDR_M(15) => \COREABC_0_APB3master_PADDR_[15]\, 
        PADDR_M(14) => \COREABC_0_APB3master_PADDR_[14]\, 
        PADDR_M(13) => \COREABC_0_APB3master_PADDR_[13]\, 
        PADDR_M(12) => \COREABC_0_APB3master_PADDR_[12]\, 
        PADDR_M(11) => \COREABC_0_APB3master_PADDR_[11]\, 
        PADDR_M(10) => \COREABC_0_APB3master_PADDR_[10]\, 
        PADDR_M(9) => \COREABC_0_APB3master_PADDR_[9]\, 
        PADDR_M(8) => \COREABC_0_APB3master_PADDR_[8]\, 
        PADDR_M(7) => \COREABC_0_APB3master_PADDR_[7]\, 
        PADDR_M(6) => \COREABC_0_APB3master_PADDR_[6]\, 
        PADDR_M(5) => \COREABC_0_APB3master_PADDR_[5]\, 
        PADDR_M(4) => \COREABC_0_APB3master_PADDR_[4]\, 
        PADDR_M(3) => \COREABC_0_APB3master_PADDR_[3]\, 
        PADDR_M(2) => \COREABC_0_APB3master_PADDR_[2]\, 
        PADDR_M(1) => \COREABC_0_APB3master_PADDR_[1]\, 
        PADDR_M(0) => \COREABC_0_APB3master_PADDR_[0]\, 
        PRDATA_M(31) => \COREABC_0_APB3master_PRDATA_[31]\, 
        PRDATA_M(30) => \COREABC_0_APB3master_PRDATA_[30]\, 
        PRDATA_M(29) => \COREABC_0_APB3master_PRDATA_[29]\, 
        PRDATA_M(28) => \COREABC_0_APB3master_PRDATA_[28]\, 
        PRDATA_M(27) => \COREABC_0_APB3master_PRDATA_[27]\, 
        PRDATA_M(26) => \COREABC_0_APB3master_PRDATA_[26]\, 
        PRDATA_M(25) => \COREABC_0_APB3master_PRDATA_[25]\, 
        PRDATA_M(24) => \COREABC_0_APB3master_PRDATA_[24]\, 
        PRDATA_M(23) => \COREABC_0_APB3master_PRDATA_[23]\, 
        PRDATA_M(22) => \COREABC_0_APB3master_PRDATA_[22]\, 
        PRDATA_M(21) => \COREABC_0_APB3master_PRDATA_[21]\, 
        PRDATA_M(20) => \COREABC_0_APB3master_PRDATA_[20]\, 
        PRDATA_M(19) => \COREABC_0_APB3master_PRDATA_[19]\, 
        PRDATA_M(18) => \COREABC_0_APB3master_PRDATA_[18]\, 
        PRDATA_M(17) => \COREABC_0_APB3master_PRDATA_[17]\, 
        PRDATA_M(16) => \COREABC_0_APB3master_PRDATA_[16]\, 
        PRDATA_M(15) => \COREABC_0_APB3master_PRDATA_[15]\, 
        PRDATA_M(14) => \COREABC_0_APB3master_PRDATA_[14]\, 
        PRDATA_M(13) => \COREABC_0_APB3master_PRDATA_[13]\, 
        PRDATA_M(12) => \COREABC_0_APB3master_PRDATA_[12]\, 
        PRDATA_M(11) => \COREABC_0_APB3master_PRDATA_[11]\, 
        PRDATA_M(10) => \COREABC_0_APB3master_PRDATA_[10]\, 
        PRDATA_M(9) => \COREABC_0_APB3master_PRDATA_[9]\, 
        PRDATA_M(8) => \COREABC_0_APB3master_PRDATA_[8]\, 
        PRDATA_M(7) => \COREABC_0_APB3master_PRDATA_[7]\, 
        PRDATA_M(6) => \COREABC_0_APB3master_PRDATA_[6]\, 
        PRDATA_M(5) => \COREABC_0_APB3master_PRDATA_[5]\, 
        PRDATA_M(4) => \COREABC_0_APB3master_PRDATA_[4]\, 
        PRDATA_M(3) => \COREABC_0_APB3master_PRDATA_[3]\, 
        PRDATA_M(2) => \COREABC_0_APB3master_PRDATA_[2]\, 
        PRDATA_M(1) => \COREABC_0_APB3master_PRDATA_[1]\, 
        PRDATA_M(0) => \COREABC_0_APB3master_PRDATA_[0]\, 
        PWDATA_M(31) => \COREABC_0_APB3master_PWDATA_[31]\, 
        PWDATA_M(30) => \COREABC_0_APB3master_PWDATA_[30]\, 
        PWDATA_M(29) => \COREABC_0_APB3master_PWDATA_[29]\, 
        PWDATA_M(28) => \COREABC_0_APB3master_PWDATA_[28]\, 
        PWDATA_M(27) => \COREABC_0_APB3master_PWDATA_[27]\, 
        PWDATA_M(26) => \COREABC_0_APB3master_PWDATA_[26]\, 
        PWDATA_M(25) => \COREABC_0_APB3master_PWDATA_[25]\, 
        PWDATA_M(24) => \COREABC_0_APB3master_PWDATA_[24]\, 
        PWDATA_M(23) => \COREABC_0_APB3master_PWDATA_[23]\, 
        PWDATA_M(22) => \COREABC_0_APB3master_PWDATA_[22]\, 
        PWDATA_M(21) => \COREABC_0_APB3master_PWDATA_[21]\, 
        PWDATA_M(20) => \COREABC_0_APB3master_PWDATA_[20]\, 
        PWDATA_M(19) => \COREABC_0_APB3master_PWDATA_[19]\, 
        PWDATA_M(18) => \COREABC_0_APB3master_PWDATA_[18]\, 
        PWDATA_M(17) => \COREABC_0_APB3master_PWDATA_[17]\, 
        PWDATA_M(16) => \COREABC_0_APB3master_PWDATA_[16]\, 
        PWDATA_M(15) => \COREABC_0_APB3master_PWDATA_[15]\, 
        PWDATA_M(14) => \COREABC_0_APB3master_PWDATA_[14]\, 
        PWDATA_M(13) => \COREABC_0_APB3master_PWDATA_[13]\, 
        PWDATA_M(12) => \COREABC_0_APB3master_PWDATA_[12]\, 
        PWDATA_M(11) => \COREABC_0_APB3master_PWDATA_[11]\, 
        PWDATA_M(10) => \COREABC_0_APB3master_PWDATA_[10]\, 
        PWDATA_M(9) => \COREABC_0_APB3master_PWDATA_[9]\, 
        PWDATA_M(8) => \COREABC_0_APB3master_PWDATA_[8]\, 
        PWDATA_M(7) => \COREABC_0_APB3master_PWDATA_[7]\, 
        PWDATA_M(6) => \COREABC_0_APB3master_PWDATA_[6]\, 
        PWDATA_M(5) => \COREABC_0_APB3master_PWDATA_[5]\, 
        PWDATA_M(4) => \COREABC_0_APB3master_PWDATA_[4]\, 
        PWDATA_M(3) => \COREABC_0_APB3master_PWDATA_[3]\, 
        PWDATA_M(2) => \COREABC_0_APB3master_PWDATA_[2]\, 
        PWDATA_M(1) => \COREABC_0_APB3master_PWDATA_[1]\, 
        PWDATA_M(0) => \COREABC_0_APB3master_PWDATA_[0]\, 
        PADDR_S(15) => GND_net, PADDR_S(14) => GND_net, 
        PADDR_S(13) => GND_net, PADDR_S(12) => GND_net, 
        PADDR_S(11) => GND_net, PADDR_S(10) => GND_net, 
        PADDR_S(9) => GND_net, PADDR_S(8) => GND_net, PADDR_S(7)
         => GND_net, PADDR_S(6) => GND_net, PADDR_S(5) => GND_net, 
        PADDR_S(4) => GND_net, PADDR_S(3) => GND_net, PADDR_S(2)
         => GND_net, PADDR_S(1) => GND_net, PADDR_S(0) => GND_net, 
        PRDATA_S(31) => nc13, PRDATA_S(30) => nc23, PRDATA_S(29)
         => nc33, PRDATA_S(28) => nc16, PRDATA_S(27) => nc26, 
        PRDATA_S(26) => nc27, PRDATA_S(25) => nc17, PRDATA_S(24)
         => nc5, PRDATA_S(23) => nc4, PRDATA_S(22) => nc25, 
        PRDATA_S(21) => nc15, PRDATA_S(20) => nc28, PRDATA_S(19)
         => nc18, PRDATA_S(18) => nc1, PRDATA_S(17) => nc2, 
        PRDATA_S(16) => nc22, PRDATA_S(15) => nc12, PRDATA_S(14)
         => nc21, PRDATA_S(13) => nc11, PRDATA_S(12) => nc3, 
        PRDATA_S(11) => nc32, PRDATA_S(10) => nc31, PRDATA_S(9)
         => nc7, PRDATA_S(8) => nc6, PRDATA_S(7) => nc19, 
        PRDATA_S(6) => nc29, PRDATA_S(5) => nc8, PRDATA_S(4) => 
        nc20, PRDATA_S(3) => nc10, PRDATA_S(2) => nc24, 
        PRDATA_S(1) => nc14, PRDATA_S(0) => nc30, PWDATA_S(31)
         => GND_net, PWDATA_S(30) => GND_net, PWDATA_S(29) => 
        GND_net, PWDATA_S(28) => GND_net, PWDATA_S(27) => GND_net, 
        PWDATA_S(26) => GND_net, PWDATA_S(25) => GND_net, 
        PWDATA_S(24) => GND_net, PWDATA_S(23) => GND_net, 
        PWDATA_S(22) => GND_net, PWDATA_S(21) => GND_net, 
        PWDATA_S(20) => GND_net, PWDATA_S(19) => GND_net, 
        PWDATA_S(18) => GND_net, PWDATA_S(17) => GND_net, 
        PWDATA_S(16) => GND_net, PWDATA_S(15) => GND_net, 
        PWDATA_S(14) => GND_net, PWDATA_S(13) => GND_net, 
        PWDATA_S(12) => GND_net, PWDATA_S(11) => GND_net, 
        PWDATA_S(10) => GND_net, PWDATA_S(9) => GND_net, 
        PWDATA_S(8) => GND_net, PWDATA_S(7) => GND_net, 
        PWDATA_S(6) => GND_net, PWDATA_S(5) => GND_net, 
        PWDATA_S(4) => GND_net, PWDATA_S(3) => GND_net, 
        PWDATA_S(2) => GND_net, PWDATA_S(1) => GND_net, 
        PWDATA_S(0) => GND_net);
    

end DEF_ARCH; 
